// Blank lines and comments stripped to reduce size.
// Contact contact@SpiritAndTruth.org for commented source files.
var Xlinx
Xlinx._files = new Array();
Xlinx._files[ 'Mat.'  ] = 'xlinx_mt';
Xlinx._files[ 'Mark'  ] = 'xlinx_ma';
Xlinx._files[ 'Luke'  ] = 'xlinx_lu';
Xlinx._files[ 'John'  ] = 'xlinx_jo';
Xlinx._files[ 'Acts'  ] = 'xlinx_ac';
Xlinx._files[ 'Rom.'  ] = 'xlinx_ro';
Xlinx._files[ '1Cor.' ] = 'xlinx_1c';
Xlinx._files[ '2Cor.' ] = 'xlinx_2c';
Xlinx._files[ 'Gal.'  ] = 'xlinx_ga';
Xlinx._files[ 'Eph.'  ] = 'xlinx_ep';
Xlinx._files[ 'Php.'  ] = 'xlinx_ph';
Xlinx._files[ 'Col.'  ] = 'xlinx_co';
Xlinx._files[ '1Th.'  ] = 'xlinx_1t';
Xlinx._files[ '2Th.'  ] = 'xlinx_2t';
Xlinx._files[ '1Ti.'  ] = 'xlinx_1t';
Xlinx._files[ '2Ti.'  ] = 'xlinx_2t';
Xlinx._files[ 'Tit.'  ] = 'xlinx_ti';
Xlinx._files[ 'Phm.'  ] = 'xlinx_ph';
Xlinx._files[ 'Heb.'  ] = 'xlinx_he';
Xlinx._files[ 'Jas.'  ] = 'xlinx_ja';
Xlinx._files[ '1Pe.'  ] = 'xlinx_1p';
Xlinx._files[ '2Pe.'  ] = 'xlinx_2p';
Xlinx._files[ '1Jn.'  ] = 'xlinx_1j';
Xlinx._files[ '2Jn.'  ] = 'xlinx_2j';
Xlinx._files[ '3Jn.'  ] = 'xlinx_3j';
Xlinx._files[ 'Jude'  ] = 'xlinx_ju';
Xlinx._files[ 'Rev.'  ] = 'xlinx_re';
Xlinx._files[ 'Gen.'  ] = 'xlinx_ge';
Xlinx._files[ 'Ex.'   ] = 'xlinx_ex';
Xlinx._files[ 'Lev.'  ] = 'xlinx_le';
Xlinx._files[ 'Num.'  ] = 'xlinx_nu';
Xlinx._files[ 'Deu.'  ] = 'xlinx_de';
Xlinx._files[ 'Jos.'  ] = 'xlinx_jo';
Xlinx._files[ 'Jdg.'  ] = 'xlinx_jd';
Xlinx._files[ 'Ru.'   ] = 'xlinx_ru';
Xlinx._files[ '1S.'   ] = 'xlinx_1s';
Xlinx._files[ '2S.'   ] = 'xlinx_2s';
Xlinx._files[ '1K.'   ] = 'xlinx_1k';
Xlinx._files[ '2K.'   ] = 'xlinx_2k';
Xlinx._files[ '1Chr.' ] = 'xlinx_1c';
Xlinx._files[ '2Chr.' ] = 'xlinx_2c';
Xlinx._files[ 'Ezra'  ] = 'xlinx_ez';
Xlinx._files[ 'Ne.'   ] = 'xlinx_ne';
Xlinx._files[ 'Est.'  ] = 'xlinx_es';
Xlinx._files[ 'Job'   ] = 'xlinx_jo';
Xlinx._files[ 'Ps.'   ] = 'xlinx_ps';
Xlinx._files[ 'Pr.'   ] = 'xlinx_pr';
Xlinx._files[ 'Ecc.'  ] = 'xlinx_ec';
Xlinx._files[ 'Sos.'  ] = 'xlinx_so';
Xlinx._files[ 'Isa.'  ] = 'xlinx_is';
Xlinx._files[ 'Jer.'  ] = 'xlinx_je';
Xlinx._files[ 'Lam.'  ] = 'xlinx_la';
Xlinx._files[ 'Eze.'  ] = 'xlinx_ez';
Xlinx._files[ 'Dan.'  ] = 'xlinx_da';
Xlinx._files[ 'Hos.'  ] = 'xlinx_ho';
Xlinx._files[ 'Joel'  ] = 'xlinx_jo';
Xlinx._files[ 'Amos'  ] = 'xlinx_am';
Xlinx._files[ 'Ob.'   ] = 'xlinx_ob';
Xlinx._files[ 'Jonah' ] = 'xlinx_jo';
Xlinx._files[ 'Mic.'  ] = 'xlinx_mi';
Xlinx._files[ 'Nah.'  ] = 'xlinx_na';
Xlinx._files[ 'Hab.'  ] = 'xlinx_ha';
Xlinx._files[ 'Zep.'  ] = 'xlinx_ze';
Xlinx._files[ 'Hag.'  ] = 'xlinx_ha';
Xlinx._files[ 'Zec.'  ] = 'xlinx_ze';
Xlinx._files[ 'Mal.'  ] = 'xlinx_ma';
function Xlinx()
    {
    if ( this._searchBinary !== undefined )
        {
        this._searchBinary = true
        }
    }
new Xlinx();
wlx.wlx_Xlinx_TITLE = 'CrossLinks';
Xlinx.prototype = new Book( wlx.wlx_Xlinx_TITLE, Xlinx._files );
Xlinx.prototype.goHelp = function()
    {
    this.goFile( 'xlinx.htm' );
    }
Xlinx.prototype.goIndex = function()
    {
    this.goFile( 'go.htm' );
    }
Xlinx.prototype.goTopicUnconditional = function( topic, pane )
    {
    var chapterName = topic.toLowerCase().substring( 0, 2 );

    var first = chapterName[0];
    if (first < '0' || '9' < first )
        {
        if (chapterName.length < 2 || chapterName[1] == '_' || chapterName[1] == ' ')
            {
            chapterName = chapterName[0] + '-'
            }
        }
    var file = "xlinx_" + chapterName + ".htm#" + topic;
    this.goFile( file );
    return true;
    }
Xlinx.prototype.goAddress = function( address, pane )
    {
    if ( pane == this.pane() )
        {
        wlx.wlx_linker.requestAddressableBook( wlx.wlx_Xlinx_TITLE )
        }
    return this.BOOK_goAddress( address, pane )
    }
Xlinx.prototype.goAddressUnconditional = function( address, pane )
    {
    var book = address.book();
    var file = this.file( book ) + ".htm#";
    file += book + '_C' + address.chapter() + "V" + address.verse();
    this.goFile( file );
    return true
    }
